Bug 1258957 - All the setup tools of all the input methods do not work on Gnome-Wayland even though they work fine on a regular Gnome session.
All the setup tools of all the input methods do not work on Gnome-Wayland eve...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: wayland (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-01 11:21 EDT by Mike FABIAN
Modified: 2016-12-20 09:32 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:32:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ibus-hangul-setup-fails-on-gnome-wayland.png (209.34 KB, image/png)
2015-09-01 11:24 EDT, Mike FABIAN
no flags Details

  None (edit)
Description Mike FABIAN 2015-09-01 11:21:52 EDT
I installed Fedora-Workstation-netinst-x86_64-23_Beta_TC1.iso in
qemu using the following qemu command line:

nice ionice -c 3 qemu-kvm -machine pc-i440fx-2.4 -enable-kvm -global qxl.ram_size=1x1024 -m 2048M -smp 2 -drive file=./Fedora-Workstation-netinst-x86_64-23_Beta_TC1.iso.qcow2,index=0,media=disk,cache=unsafe -localtime -serial file:/tmp/qemu-Fedora-Workstation-netinst-x86_64-23_Beta_TC1.iso.qcow2-output.log -name Fedora-Workstation-netinst-x86_64-23_Beta_TC1.iso.qcow2 -cdrom /local/mfabian/iso/Fedora-23-Beta_TC1/Fedora-Workstation-netinst-x86_64-23_Beta_TC1.iso -boot c -spice port=6002,disable-ticketing,streaming-video=off -vga qxl -display vnc=:6 -net nic -net user,hostname=Fedora-Workstation-netinst-x86_64-23_Beta_TC1.iso.qcow2,hostfwd=tcp::5562-:22 -monitor stdio -usb

Then I logged into Gnome-wayland and tried to use the setup tools
of the input methods.

*None* of them works on Gnome-wayland although *all* of them work
on a regular gnome session.

For example, when clicking on the ibus-hangul engine in the
list of input sources nad then on the cog-wheel below to start
the setup tool, one gest the error message:

     IBus daemon is not running.
     Hangul engine settings cannot be saved.

The setup tools of some other input sources show similar messages,
some show nothing at all, some crash.

For example, the setup tool of ibus-m17n crashes, see

https://bugzilla.redhat.com/show_bug.cgi?id=1258924
Comment 1 Mike FABIAN 2015-09-01 11:24:02 EDT
Created attachment 1069067 [details]
ibus-hangul-setup-fails-on-gnome-wayland.png

Example screenshot showing the error dialog when clicking on the cog-wheel icon to start the setup tool of ibus-hangul.
Comment 2 Fedora End Of Life 2016-11-24 07:25:47 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 09:32:26 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.